Introducing Wiagra Video Effector
Top Next

Thank you very much for choose our software Wiagra Video Effector.

Wiagra Video Effector is a shareware program that could join a lot of video clips using over 120 transitions and add special effects to videos. There are over 50 video and graphic effects in this version. Every effect could be apply to whole or selected region and a lot of effects are dynamically, so it could calculate its amount.


How to buy Wiagra Video Effector
Previous Top Next

Thank you very much for your interest in register procedure.

You may select one of two ways to register program.

1. Register Wiagra Video Effector directly from its register page:

On this page you are able to select the Internet connection as Secure or Normal.

Secure is a https Internet protokol connection, that use better security connection that normal http protokol, but sometimes you can have a difficult access with secure connection, so this is the time to use normal connection.

Last, what you need to choose is kind of your payment method. You may choose one of five methods below.

2. Register Wiagra Video Effector from our web page:

Open your internet browser and direct it to www.wiagra.com. On main page select order menu to redirect to order page and follow instructions. You may click on www.wiagra.com button on main menu to direct to our page too:


Supported file's formats

Project file:
WVE - Wiagra Video Effector Project

Input formats:
AVI - Windows Audio Video Interleaved
FLI - Autodesk FLIC/FLIC-Pro, 8bit
FLC - Autodesk FLIC/FLIC-Pro, 8bit
GIF - Graphics Interchange Format
GIFF - Graphics Interchange Format
HAV - High quality Audio Video
MPG - Moving Pictures Expert Group, MPEG-1/2
MPEG - Moving Pictures Expert Group, MPEG-1/2
MPE - Moving Pictures Expert Group, MPEG-1/2
M1V - Moving Pictures Expert Group, MPEG-1/2
M2V - Moving Pictures Expert Group, MPEG-1/2
BMP - Windows Device Independent Bitmap, 8/15/24bit
JPG - Joint Photographic Expert Group, JFIF 1.02
DIB - Windows Device Independent Bitmap, 8/15/24bit
RLE - Windows Device Independent Bitmap, 8/15/24bit
JPE - Joint Photographic Expert Group, JFIF 1.02
BAY - Bayer Image
GIF - Graphics Interchange Format, (read only)
GIFF - Graphics Interchange Format, (read only)
JIF - Joint Photographic Expert Group, JFIF 1.02
JFIF - Joint Photographic Expert Group, JFIF 1.02
JPEG - Joint Photographic Expert Group, JFIF 1.02
J - Joint Photographic Expert Group, JFIF 1.02
PCX - Zsoft Paintbrush, 8/24bit
PNG - Portable Network Graphics
PNM - Portable Image, 8/15/24bit
PPM - Portable Image, 8/15/24bit
PGM - Portable Image, 8/15/24bit
RAS - Sun Raster Image, 8/24/32bit
SUN - Sun Raster Image, 8/24/32bit
RGB - Silicon Graphics Image, 8/24/32bit
RGBA - Silicon Graphics Image, 8/24/32bit
BW - Silicon Graphics Image, 8/24/32bit
SGI - Silicon Graphics Image, 8/24/32bit
TGA - Truevision Targa, 8/15/24/32bit
TIF - Tagged Image File Format
TIFF - Tagged Image File Format
XPM - X-Pixmap

Video output formats:
AVI - Windows Audio Video Interleaved
MPEG - Moving Pictures Expert Group
FLIC/FLIC-Pro - Autodesk
HAV - High quality Audio Video
BMP/DIB - Windows Device Independent Bitmap
JPEG - Joint Photographic Expert Group
PCX - Zsoft Paintbrush
PNG - Portable Network Graphics
TGA - Truevision Targa
RGB - Silicon Graphics Image
RAS - Sun Raster Image
PPM - Portable Image
TIFF - Tagged Image File Format
XPM - X-Pixmap

Audio output formats:
AVI - Windows Audio Video Interleaved
MPEG - Moving Pictures Expert Group
HAV - High quality Audio Video
WAV - Windows Wave Sound
MP2 - MPEG Audio Layer II
OGG - Ogg Vorbis Audio

#saveframeQuick save actual frame as static image:
BMP - Windows Device Independent Bitmap, 8/15/24bit
JPG - Joint Photographic Expert Group, JFIF 1.02


Work with Wiagra Video Effector

After Wiagra Video Effector starts, you can see a main interface.

Here you may add some video (from your hard disk) by click on Add... button. Added video clips are displayed in Input files list, between Begin of project and End of project marks. You may see four preview images, from any video in this list.

Select one of following:

User interface
Insert video to Wiagra Video Effector project

Effects:
· Effects list
· Add effect
· Watermark effect
· Dynamic and regional effects


Effects

Wiagra Video Effector was mainly created to add dynamic, regional and watermark effects to any project or video clip. Currently you may find over 50 video effects to add - see effects list.


Effects list

Possible effects are:

Watermark

Size
Resize
Resample
Crop

Rotate
90° counter clockwise
90° clockwise
180°
Smooth rotate

Mirror
Vertical
Horizontal

Flip
Vertical
Horizontal

2D effects
Circle around
Fish eye
Wave
Triangles
Emboss

Color correction
Gray scale
Gamma correction
Brightness
Contrast
WhiteBalance
Solarize
Posterize
Split light
Saturation

Negative
Negative
Invert

Anti-aliasing
Anti-alias

Edge
Find edges
Edge enhance

Sharp
Sharpen
Soften

Blur
Gaussian blur
Split blur

Noise
Color noise
Mono noise
Spray
Mosaic

Squeeze
Horizontal
Top
Bottom
Diamond
Waste
Round
Double round

Split
Round
Waste

Ripple
Tooth
Triangle
Random

Texturize
Tile
Overlap

Add effect
[[[ENDKEEPN]]]


Add effect

You may add effect separately to project as easy as to any selected video clip.

Why add effects separately to project and video clips?

It's better to add some effects to project (e.g. Watermark), because any transition will not hide their functionality. But when you need to add an effect, that will end with transition, you should add it only to one selected video clip (e.g. to fix a video clip brittleness you could add a brightness effect to selected clip, so it will end with ending transition and apply only to its owner clip)

How to add effects?
· To add effect to project you have to click on [image] button in main menu or click on Add button above of project effects list on effects page

· To add effect to selected video clip you have to select some inserted video file (no transition) and click on Add button above of selected clip effects list on effects page

· From the pop up effects menu choose one of offered effect.


Watermark effect

One of the most important effect in the Wiagra Video Effector is a Watermark effect.

Watermark effect could has one of following state:

· Picture - when you select a picture watermark type, you will have to select a graphic file, that will be represent a watermark.

· Static text - you may type any text to set it as a static text watermark in menu [image] and confirm it by Enter

· Dynamic text - you may choose a dynamic text watermark, that will be inserted to video, when you need to see a time and/or frame number in output video. Select it's kind in pop up menu:

When you choose text kind watermark, you can change its font by click on Font button.

Any watermark could be transparent, when you choose its transparent color. In case, you selected text watermark kind, you can choose a font color below transparent color:

If you need to make a floating watermark, you can select a frame on video time line, where it should change its position and click on Save position button. To delete position click on Delete position button.

You may select position movement, when is there saved more than one position, by right click between two saved positions in positions list:

Movement to select are floating and jumping:

· Floating movement - calculate watermark position for every frame between prior and next saved position.
· Jumping movement - change the watermark position only on its next saved position frame.


Dynamic effects

Any effect, that has its amount setting is a dynamic effect. It mean, that Wiagra Video Effector could calculate its amount.

Example:

When you select new effect - Smooth rotate in effects menu:

You can select its amount by click on Amount setting button in effect setting window main menu:

Now, after unmark End = Start checkbox you may set starting and ending values to enable dynamic effect (Wiagra Video Effector will calculate its amounts from it's In point to its Out point and from Start values to End values):

Outside color is the color of out-of-region area. This setting will effect in output file.

When you need to see preview without any effect or just apply all until prior effect, you may choose another value in Apply effects to preview combo box. This setting has no effect for clip or effect properties same as Selected area border color, that will only change the color of selected area, when you choose one of region above.


Regional effects

Any effect (except Watermark) is full regional. It mean, that you may select region, where the effect will be apply to. That region could be one of these kind:

· Whole region - no region is selected and effect will be apply to whole frame
· Rectangle - region will be apply to rectangular area, that is set down on video preview
· Round rectangle - same as rectangle, but with rounded corners
· Ellipse - region will be apply to elliptic area
· Polygon - region will be apply to polygon, that must be set down on video preview. You may add new points as long as you need and when you need to close the region, you have to click on first inserted point. When region is closed, you may insert new and delete old breaks by right click on any point and choose the action from pop up menu:

Most of regional effects are dynamic too. So, it may calculate its amount automatically.


User interface

Wiagra Video Effector's user interface is as user friendly as it was possible to create.

You may find windows listed below in Wiagra Video Effector:

· Main window
· Main menu
· Clips
· Effects
· Output
· Output process window
· Support
· Register
· Project time line
· Effects windows
· Regional effects window
· Watermark window

Note: if you need help for any control on the screen, take mouse over this control and press Alt + F1 short cut


Main window

This is screen shot of Wiagra Video Effector workspace with selected Clips page and describtion for all visible active controls.


Main menu

You may use main menu to control a lot of functions in the Wiagra Video Effector.

First four buttons are buttons to handle project files. You may create new project, open existing and save created and/or modifying.

Next three buttons are important to add new videos to project and remove selected from project. With properties button you may display selected clip properties information window.

Add project effect button is a short cut button to project effects menu, where you may add new effects to current project.

Save frame button saves an actual frame from selected clip, with apply all inserted project and clip effects. There will not be www.wiagra.com watermark added in not registered version to output file here.

Transitions button lets you select any transition kind from animated previews in transition window.

www.wiagra.com runs and redirect your internet browser to Wiagra Video Effector home page.

With last two buttons you can minimize and close application.


New project

New button will create new, empty Wiagra Video Effector project.

If there is an opened project already, it will close it first. In case it is not saved yet, it will prompt you to save it first.


Open project

Open... button will show standard open dialog to open an existing Wiagra Video Effector project.

Click on drop down arrow to show pop up menu below:

Under Open project... item, that has the same effect as main Open... button are recently project files names, to quick open without open dialog. There are presented up to five recently projects.

As you may want to delete recently files, you may clear this list by click on Clear recently projects menu item.


Save project

Save & Save as... buttons will save currently opened Wiagra Video Effector project to hard disk.

If you saved currently opened project already and now you want to rename it, you should use Save as... button, that will show standard save dialog to save an existing Wiagra Video Effector project.


Add clip(s)

Add... button will show standard open dialog to open and add an existing Wiagra Video Effector project, any supported video or graphic file(s) to currently project.

Click on drop down arrow to show pop up menu below:

Any button in this menu will show standard open dialog to open an existing file(s) with files filter:

· Any supported... you can find and open any supported files
· Project... only Wiagra Video Effector project files (*.wve)
· Video... any supported video files (*.avi, *.mpeg, etc.)
· Graphic... any supported graphic files (*.bmp, *.jpeg, etc.)

Under Graphic... item are recently supported files names, to quick open without open dialog. There are presented up to ten recently supported files.

As you may want to delete recently files, you may clear this list by click on Clear recently projects menu item.


Remove clip(s)

Remove button will remove selected clip or transition from currently project. If there is a transition selected, it will set transition to None.

Click on drop down arrow to show pop up menu below:

Selected file item has the same effect as main Remove button.

All files item will remove all clips and transitions from the project.


Clip properties

Properties button show selected clip properties info window:

These informations are original clip video and audio properties, that could be important e.g. when you need detect if Wiagra Video Effector support audio compression in selected clip, etc.


Add project effect

Add project effect... button show supported effects menu to add an effect to currently project.

See also: watermark, dynamic effects, regional effects


Save frame

Save frame... button will show standard save dialog to save actual frame from project as a static image file. There will be apply all effects and transitions to output image file.

You may select output format from frame save supported formats


Transitions

Transitions... button lets you select any transition kind from animated previews in transition window.

Just drag and drop any animated preview from transition window over input files list to set new kind of any transition in. You have to drop it over existing transition in input files list to change this transition.


Wiagra home page button

www.wiagra.com button will open your installed Internet browser and redirect it to Wiagra Video Effector home page.


Help

Use help button to display Wiagra Video Effector help contain.

Note: if you need help for any control on the screen, take mouse over this control and press Alt + F1 short cut


Drop down arrow

Drop down arrow is displayed right of its owner button.

When a button has its drop down arrow, it could show more options with functions related to this button.


Main window pages

There are five pages in main window of Wiagra Video Effector.

Possible pages are:

· Clips
· Effects
· Output
· Support
· Register


Clips page

Description of controls in the clips page is here.

Clips page is first page in Wiagra Video Effector, so functions from this page should be used before another pages functions.

In clips page you should manage input files ordering, setting - such as clip's In point, Out point, audio volume, transition kind and time length.


Input files

There are listed all inserted clips and transitions from current project in input files list.

Possible actions:

· left mouse button click on
· begin of project or end of project marks - sets actual project position to begin (end) of project
· any other object - sets actual project position to begin of clicked object

· right mouse button click on
· empty area - pops up a menu to add new clip(s)
· static image - show the clip time length window
· transition - pops up a menu to select transition kind

UP and DOWN buttons moves any clip in project in its direction.


Transition kind

You may select any kind of transition to set transition between two neighbours clips by right click on transition in input files list.

When there is no transition between clips presented, you will see None transition text. To set some transition you have to select transition kind in main transition menu (above) and then select transition, you want to use.

To remove any transition you have to click on left mouse button over transition in input files list and then

· click on right mouse button over transition and select None from main transition menu
or
· click on Remove button


Selected clip preview

Selected clip preview area is sets to preview of original clip (whole, without any transitions and video effects), that's actually selected in Input files list.

You should set In point, Out point and Cut clips using input clip preview. You should use clip time line to move in selected clip, otherwise there will be transition apply with project time line.

Selected clip preview is located right of Input files list - see Main window preview


In/Out point selector

With In and Out point selector as well as with In/Out menu you may set input and output points for selected clip.

In output file will selected clip start with In point and end with out point - Wiagra Video Effector will ignore all frames before in point and all frames after out point in output file creation process.

In/Out selection has no effect when static image or transition is selected.


Clip time line

Clip time line is a time line track bar. Use it to move through selected clip from its begin to end ignore In and Out points and transitions by drag and drop its slider.

Sections:
White are sections before in point and after out point, that will be ignored in output process.
Neighbours sections represents neighbours clip's transitions.
Middle section is original clip, that will not be affected by any transition.

In the middle of clip time line is an clip's name caption.
Saved clip label is its original file name and transition label is its name plus time length.


Clip setting controls

Clip setting controls sets selected clip output properties.

Save in point and Save out point - sets first and last frame in selected clip. see In/Out point selector help.

Volume - select output volume amount of selected clip. You have to save this setting by click on [image] button. Click on [image] button to get changes back.

Cut... - cuts selected clip before or after actual frame and sets None transition between new created clips.


Transition setting controls

Transition setting controls sets selected transition output properties.

Length - sets time length of selected transition. You have to save this setting by click on [image] button. Click on [image] button to get changes back.

Audio during transition - output audio setting during selected transition
· Mix previous and next - mix audio from prior and next clip
· Half and half - audio from previous clip will stop in the middle of transition and immediately starts audio from next clip
· Only from previous clip - only prior clip audio will be presented during transition
· Only from next clip - only next clip audio will be presented during transition

· Fade out - audio from prior clip will be fade out during this transition
· Fade in - audio from next clip will be fade in during this transition


Effects page

In effects page you should maintain all effects added to your project or clips.


Before effects preview

Before effects preview is an area to preview of project's clips with transitions, but without any effect, so you may compare clips before effects with after effects.


After effects preview

After effects preview is an area to preview of project's clips with after apply transitions and every active project effects and clip effects.

You may compare clips before effects with after effects.


Quick project time line

Quick project time line is a small track bar. Use it to move through whole project from its begin to end.

It's just a copy of project time line assigned to quickly moving in project.


Project effects

There are all project effects presented in this list.

Click Add menu item to show effects menu.
Remove menu item let's you delete one - selected - or all effects from project list
Modify as well as effect item double click will show modify effect window. There are two modify effect windows:
· watermark
· regional and dynamic effects

Save in point, Save out point, Reset in/out and Only actual frame items sets selected effect validity as its captions describe it.

UP and DOWN buttons moves any effect in the list in its direction. This option is very important, because effects will be apply to project in sequence as it is presented in project effects list.

Click here to see how to add effect only to one selected clip.

See also Why add effects separately to project and clips?


Selected clip effects

There are all selected clip effects presented in this list.

Click Add menu item to show effects menu.
Remove menu item let's you delete one - selected - or all effects from project list
Modify as well as effect item double click will show modify effect window. There are two modify effect windows:
· watermark
· regional and dynamic effects

Save in point, Save out point, Reset in/out and Only actual frame items sets selected effect validity as its captions describe it.

UP and DOWN buttons moves any effect in the list in its direction. This option is very important, because effects will be apply to selected clip in sequence as it is presented in selected clip effects list.

Click here to see how to add effect to project.

See also Why add effects separately to project and clips?


Effects menu

Effects menu lets you select a new effect to your project or selected clip. When you click on Add... button above project effects list or above selected clip list or Add project effect button in main menu, you can select one of effect offered in effects menu:

All effect's menu items (except Watermark) are separated to sub menus, that should describe its functionality.

For example in Rotate sub menu you can find effects:

· 90° counter clockwise - rotates frame(s) 90 degrees counter clockwise
· 90° clockwise - rotates frame(s) 90 degrees clockwise
· 180° - rotates frame(s) 180 degrees
· Smooth rotate - rotates frame(s) from 0 to 360 degrees. Every effect is full regional so you can rotate whole frames or just its selected area.

Smooth rotate is dynamic effect too, so it could calculate its amount dynamically. e.g. It's amount may starts at 45 degrees and ends at 323 degrees.

See also: supported effects list


Output page


Create output

Create output... button will show output process window same as Create output... button on Output page.

Before creating output there must be added some file(s) to project and output file's properties must be filled in output page.


Output files

Output files lets you select kind of output file(s). You may create output video and audio together (one file) or separately.

Possible options are:

· Video and audio one same file - one output video will be created from all input clips. Theirs audio will be inserted to this video too.
· Video and audio separate files - two output files - audio and video - will be created from all input clips.
· Video only - one output video will be created from all input clips. Theirs audio will be ignored.
· Audio only - one output audio will be created from all input clips.


Video setting

Video setting is not visible, when Audio only is selected. Here you should set any output video property.

· Output file name - type any file name here, that you want to use as an output file
· Format - select one of offered supported output video file's formats
· Format options... - enabled only if you can set some parameters for select format. Displays the codec selection dialog for a given file format, if it has one. That way you can select the codec and other corresponding values (data rate, key frame rate, etc.) (e.g. AVI format could be set to DivX codec here, etc.).
· Frame rate (fps) - lets you select another frame rate (fps - frames per second) than inserted clip(s) has. The frame rate of the output file, in frames per second. AVI defaults to 15 fps, movie standard is 24, TV standards are 25/50 (PAL) and 29.97/59.94 fps (NTSC). MPEG supports only these values: 22.98, 24, 25, 29.97, 30, 50, 59.94 and 60 fps, any other value will be rounded to the nearest supported. All these (standard) values are offered through Select button. For that reason use the predefined frame rate constants when the output is MPEG. If not specified the default frame rate is 30.
· Keep original duration - tells how the input files will be converted if the output frame rate is different than input frame rate. When this is not checked the number of input and output frames will be equal, but the duration and speed will change as the output frame rate changes. When this is checked the duration and speed are equal, but the number of frames will change as the frame rate changes. Set it to checked when doing conversion between movie/TV standards (e.g. PAL to NTSC) otherwise you will see things speeded up or in slow motion.
· Resolution - width and height of output video in pixels. Standard values are offered through Select button.


Audio setting

Audio setting is not visible, when Video only is selected. Here you should set any output audio property.

· Output file name - type any file name here, that you want to use as an output file
· Format - select one of offered supported output audio file's formats
· Format options... - enabled only if you can set some parameters for select format (e.g. set OGG quality here)
· Standard audio formats... - select one of predefined options:
· Automatic - program determine the best quality from all input files and sets it as a current output quality
· CD quality - sets Sample rate to 44100 Hz, Channels to Stereo and Resolution to 16 bits
· Radio quality - sets Sample rate to 22050 Hz, Channels to Stereo and Resolution to 16 bits
· Telephone quality - sets Sample rate to 8000 Hz, Channels to Mono and Resolution to 8 bits
· Manual setting - you will be able to set any (Sample rate, Channels and Resolution) output quality parameter manually

Other values are enabled only when Manual setting is selected in standard audio formats...

· Sample rate (Hz) - sampling frequency of the audio data. Standard values are offered through Select button
· Channels - output file could be either mono or stereo
· Resolution - resolution is a number of bits per sample per channel. This is either 8 or 16


Codec selection dialog

In codec selection dialog - standard codec dialog - you can select the codec and other corresponding values (data rate, key frame rate, etc.) of output.

You may see capture of the screen, when AVI format was selected. Selecting any Compressor, showed in the compressor list will set selected compress codec to your output.


Output setting

Some additional options could be set in output setting.

Play the following sound file, after processing is over:
Because output creating process could take a few minutes (hours), you may set some audio (wav) file, that will play to alert you, when creating process ends.

Ask before overwriting file - is needed if you want to be alerted, when output file you want to create already exists.


Output process window

Output process window is used to watch all needed output informations and to start, pause and stop output process.

Possible buttons are:
· Start process - starts output process - creating output file(s)
· Pause / Continue process - if you need pause process for any reason, you may pause it and then continue in process anytime you want
· Cancel process - stops and cancel output process creation. !!! You cannot continue in process after cancel it !!!

Other informations on output process window:
· Graphic and audio progress - possitions of the current output process.
· Current project time - time of the output file, that is actually processed
· Total project time - total time of the output file - you may see it on project time line too
· Process time - tells you, how long it take from start processing
· Remaining time (estimate) - really estimate time to the end of processing
· Output process log - log messages - you may control some output process states here


Support page

Support page lets you visit Wiagra Video Effector supported pages without using external browser.

This could be important, if you need find some help, that is not presented in this help file yet.

e.g. Support page helps you in case you have older version of this help and you need quickly find some help information about Wiagra Video Effector that is not listed in this help file.


Register page

See how to register to register page describtion.


Project time line
Previous Top

Project time line is a time line track bar. Use it to move through whole project (all inserted clips and transitions) from its begin to end.

Sections:
White are sections of non-selected, but presented clips or transitions
Green (lime) section represents actual selected clip range

In the middle of project time line is a project's name caption.


Insert video to Wiagra Video Effector project
Top

You may insert any supported video file to Wiagra Video Effector project.


.topic 11000
Thank you very much for choose our software Wiagra Video Effector.

Wiagra Video Effector is a shareware program that could join a lot of video clips using over 120 transitions and add special effects to videos. There are over 50 video and graphic effects in this version. Every effect could be apply to whole or selected region and a lot of effects are dynamically, so it could calculate its amount.

.topic 12000
After Wiagra Video Effector starts, you can see a main interface.

Here you may add some video (from your hard disk) by click on Add... button. Added video clips are displayed in Input files list, between Begin of project and End of project marks. You may see four preview images, from any video in this list.

Select one of following:

User interface
Insert video to Wiagra Video Effector project

Effects:
Effects list
Add effect
Watermark effect
Dynamic and regional effects

#

.topic 13000
Wiagra Video Effector was mainly created to add dynamic, regional and watermark effects to any project or video clip. Currently you may find over 50 video effects to add - see effects list.

.topic 10000
One of the most important effect in the Wiagra Video Effector is a Watermark effect.

Watermark effect could has one of following state:

Picture - when you select a picture watermark type, you will have to select a graphic file, that will be represent a watermark.

Static text - you may type any text to set it as a static text watermark in menu   and confirm it by Enter

Dynamic text - you may choose a dynamic text watermark, that will be inserted to video, when you need to see a time and/or frame number in output video. Select it's kind in pop up menu:

When you choose text kind watermark, you can change its font by click on Font button.

Any watermark could be transparent, when you choose its transparent color. In case, you selected text watermark kind, you can choose a font color below transparent color:

If you need to make a floating watermark, you can select a frame on video time line, where it should change its position and click on Save position button. To delete position click on Delete position button.

You may select position movement, when is there saved more than one position, by right click between two saved positions in positions list:

Movement to select are floating and jumping:

Floating movement - calculate watermark position for every frame between prior and next saved position.
Jumping movement - change the watermark position only on its next saved position frame.

.topic 10002
Any effect, that has its amount setting is a dynamic effect. It mean, that Wiagra Video Effector could calculate its amount.

Example:

When you select new effect - Smooth rotate in effects menu:

You can select its amount by click on Amount setting button in effect setting window main menu:

Now, after unmark End = Start checkbox you may set starting and ending values to enable dynamic effect (Wiagra Video Effector will calculate its amounts from it's In point to its Out point and from Start values to End values):

Outside color is the color of out-of-region area. This setting will effect in output file.

When you need to see preview without any effect or just apply all until prior effect, you may choose another value in Apply effects to preview combo box. This setting has no effect for clip or effect properties same as Selected area border color, that will only change the color of selected area, when you choose one of region above.

.topic 10001
Any effect (except Watermark) is full regional. It mean, that you may select region, where the effect will be apply to. That region could be one of these kind:

Whole region - no region is selected and effect will be apply to whole frame
Rectangle - region will be apply to rectangular area, that is set down on video preview
Round rectangle - same as rectangle, but with rounded corners
Ellipse - region will be apply to elliptic area
Polygon - region will be apply to polygon, that must be set down on video preview. You may add new points as long as you need and when you need to close the region, you have to click on first inserted point. When region is closed, you may insert new and delete old breaks by right click on any point and choose the action from pop up menu:

Most of regional effects are dynamic too. So, it may calculate its amount automatically.

.topic 900
Wiagra Video Effector's user interface  is as user friendly as it was possible to create.

You may find windows listed below in Wiagra Video Effector:

Main window
Main menu
Clips
Effects
Output
Output process window
Support
Register
Project time line
Effects windows
Regional effects window
Watermark window

Note: if you need help for any control on the screen, take mouse over this control and press Alt + F1 short cut

.topic 1000
This is screen shot of Wiagra Video Effector workspace with selected Clips  page and describtion for all visible active controls.

.topic 1100
You may use main menu to control a lot of functions in the Wiagra Video Effector.

First four buttons are buttons to handle project files. You may create new project, open existing and save created and/or modifying.

Next three buttons are important to add new videos to project and remove selected from project. With properties button you may display selected clip properties information window.

Add project effect button is a short cut button to project effects menu, where you may add new effects to current project.

Save frame button saves an actual frame from selected clip, with apply all inserted project and clip effects. There will not be www.wiagra.com watermark added in not registered version to output file here.

Transitions button lets you select any transition kind from animated previews in transition window.

www.wiagra.com runs and redirect your internet browser to Wiagra Video Effector home page.

With last two buttons you can minimize and close application.

.topic 1101

New button will create new, empty Wiagra Video Effector project.

If there is an opened project already, it will close it first. In case it is not saved yet, it will prompt you to save it first.

.topic 1102

Open... button will show standard open dialog to open an existing Wiagra Video Effector project.

Click on drop down arrow to show pop up menu below:

Under Open project... item, that has the same effect as main Open... button are recently project files names, to quick open without open dialog. There are presented up to five recently projects.

As you may want to delete recently files, you may clear this list by click on Clear recently projects menu item.

.topic 1103

Save & Save as... buttons will save currently opened Wiagra Video Effector project to hard disk.

If you saved currently opened project already and now you want to rename it, you should use Save as... button, that will show standard save dialog to save an existing Wiagra Video Effector project.

.topic 1104

Add... button will show standard open dialog to open and add an existing Wiagra Video Effector project, any supported video or graphic file(s) to currently project.

Click on drop down arrow to show pop up menu below:

Any button in this menu will show standard open dialog to open an existing file(s) with files filter:

Any supported... you can find and open any supported files
Project... only Wiagra Video Effector project files (*.wve)
Video... any supported video files (*.avi, *.mpeg, etc.)
Graphic... any supported graphic files (*.bmp, *.jpeg, etc.)

Under Graphic... item are recently supported files names, to quick open without open dialog. There are presented up to ten recently supported files.

As you may want to delete recently files, you may clear this list by click on Clear recently projects menu item.

.topic 1105

Remove button will remove selected clip or transition from currently project. If there is a transition selected, it will set transition to None.

Click on drop down arrow to show pop up menu below:

Selected file item has the same effect as main Remove button.

All files item will remove all clips and transitions from the project.

.topic 1106

Properties button show selected clip properties info window:

These informations are original clip video and audio properties, that could be important e.g. when you need detect if Wiagra Video Effector support audio compression in selected clip, etc.

.topic 1107

Add project effect... button show supported effects menu to add an effect to currently project.

See also: watermark, dynamic effects, regional effects

.topic 1108

Save frame... button will show standard save dialog to save actual frame from project as a static image file. There will be apply all effects and transitions to output image file.

You may select output format from frame save supported formats

.topic 1109

Transitions... button lets you select any transition kind from animated previews in transition window.

Just drag and drop any animated preview from transition window over input files list to set new kind of any transition in. You have to drop it over existing transition in input files list to change this transition.

.topic 1110

www.wiagra.com button will open your installed Internet browser and redirect it to Wiagra Video Effector home page.

.topic 1112

Use help button to display Wiagra Video Effector help contain.

Note: if you need help for any control on the screen, take mouse over this control and press Alt + F1 short cut

.topic 1111

Drop down arrow is displayed right of its owner button.

When a button has its drop down arrow, it could show more options with functions related to this button.

.topic 1200
There are five pages in main window of Wiagra Video Effector.

Possible pages are:

Clips
Effects
Output
Support
Register

.topic 1300

Description of controls in the clips page is here.

Clips page is first page in Wiagra Video Effector, so functions from this page should be used before another pages functions.

In clips page you should manage input files ordering, setting - such as clip's In point, Out point, audio volume, transition kind and time length.

.topic 1301
There are listed all inserted clips and transitions from current project in input files list.

Possible actions:

left mouse button click on
begin of project or end of project marks - sets actual project position to begin (end) of project
any other object - sets actual project position to begin of clicked object

right mouse button click on
empty area - pops up a menu to add new clip(s)
static image - show the clip time length window
transition - pops up a menu to select transition kind

UP and DOWN buttons moves any clip in project in its direction.

.topic 1302
You may select any kind of transition to set transition between two neighbours clips by right click on transition in input files list.

When there is no transition between clips presented, you will see None transition text. To set some transition you have to select transition kind in main transition menu (above) and then select transition, you want to use.

To remove any transition you have to click on left mouse button over transition in input files list and then

click on right mouse button over transition and select None from main transition menu
or
click on Remove button

.topic 1303
Selected clip preview area is sets to preview of original clip (whole, without any transitions and video effects), that's actually selected in Input files list.

You should set In point, Out point and Cut clips using input clip preview. You should use clip time line to move in selected clip, otherwise there will be transition apply with project time line.

Selected clip preview is located right of Input files list - see Main window preview

.topic 1304
With In and Out point selector as well as with In/Out menu you may set input and output points for selected clip.

In output file will selected clip start with In point and end with out point - Wiagra Video Effector will ignore all frames before in point and all frames after out point in output file creation process.

In/Out selection has no effect when static image or transition is selected.

.topic 1305
Clip time line is a time line track bar. Use it to move through selected clip from its begin to end ignore In and Out points and transitions by drag and drop its slider.

Sections:
White are sections before in point and after out point, that will be ignored in output process.
Neighbours sections represents neighbours clip's transitions.
Middle section is original clip, that will not be affected by any transition.

In the middle of clip time line is an clip's name caption.
Saved clip label is its original file name and transition label is its name plus time length.

.topic 1306
Clip setting controls sets selected clip output properties.

Save in point and Save out point - sets first and last frame in selected clip. see In/Out point selector help.

Volume - select output volume amount of selected clip. You have to save this setting by click on   button. Click on   button to get changes back.

Cut... - cuts selected clip before or after actual frame and sets None transition between new created clips.

.topic 1307
Transition setting controls sets selected transition output properties.

Length - sets time length of selected transition. You have to save this setting by click on   button. Click on   button to get changes back.

Audio during transition - output audio setting during selected transition
Mix previous and next - mix audio from prior and next clip
Half and half - audio from previous clip will stop in the middle of transition and immediately starts audio from next clip
Only from previous clip - only prior clip audio will be presented during transition
Only from next clip - only next clip audio will be presented during transition

Fade out - audio from prior clip will be fade out during this transition
Fade in - audio from next clip will be fade in during this transition

.topic 1400
In effects page you should maintain all effects added to your project or clips.

.topic 1401
Before effects preview is an area to preview of project's clips with transitions, but without any effect, so you may compare clips before effects with after effects.

.topic 1402
After effects preview is an area to preview of project's clips with after apply transitions and every active project effects and clip effects.

You may compare clips before effects with after effects.

.topic 1403
Quick project time line is a small track bar. Use it to move through whole project from its begin to end.

It's just a copy of project time line assigned to quickly moving in project.

.topic 1404
There are all project effects presented in this list.

Click Add menu item to show effects menu.
Remove menu item let's you delete one - selected - or all effects from project list
Modify as well as effect item double click will show modify effect window. There are two modify effect windows:
watermark
regional and dynamic effects

Save in point, Save out point, Reset in/out and Only actual frame items sets selected effect validity as its captions describe it.

UP and DOWN buttons moves any effect in the list in its direction. This option is very important, because effects will be apply to project in sequence as it is presented in project effects list.

Click here to see how to add effect only to one selected clip.

See also Why add effects separately to project and clips?

.topic 1405
There are all selected clip effects presented in this list.

Click Add menu item to show effects menu.
Remove menu item let's you delete one - selected - or all effects from project list
Modify as well as effect item double click will show modify effect window. There are two modify effect windows:
watermark
regional and dynamic effects

Save in point, Save out point, Reset in/out and Only actual frame items sets selected effect validity as its captions describe it.

UP and DOWN buttons moves any effect in the list in its direction. This option is very important, because effects will be apply to selected clip in sequence as it is presented in selected clip effects list.

Click here to see how to add effect to project.

See also Why add effects separately to project and clips?

.topic 1406
Effects menu lets you select a new effect to your project or selected clip. When you click on Add... button above project effects list or above selected clip list or Add project effect button in main menu, you can select one of effect offered in effects menu:

All effect's menu items (except Watermark) are separated to sub menus, that should describe its functionality.

For example in Rotate sub menu you can find effects:

90° counter clockwise - rotates frame(s) 90 degrees counter clockwise
90° clockwise - rotates frame(s) 90 degrees clockwise
180° - rotates frame(s) 180 degrees
Smooth rotate - rotates frame(s) from 0 to 360 degrees.  Every effect is full regional so you can rotate whole frames or just its selected area.

Smooth rotate is dynamic effect too, so it could calculate its amount dynamically. e.g. It's amount may starts at 45 degrees and ends at 323 degrees.

See also: supported effects list

.topic 1500

.topic 1501

Create output... button will show output process window same as Create output... button on Output page.

Before creating output there must be added some file(s) to project and output file's properties must be filled in output page.

.topic 1502

Output files lets you select kind of output file(s). You may create output video and audio together (one file) or separately.

Possible options are:

Video and audio one same file - one output video will be created from all input clips. Theirs audio will be inserted to this video too.
Video and audio separate files - two output files - audio and video - will be created from all input clips.
Video only - one output video will be created from all input clips. Theirs audio will be ignored.
Audio only - one output audio will be created from all input clips.

.topic 1503

Video setting is not visible, when Audio only is selected. Here you should set any output video property.

Output file name - type any file name here, that you want to use as an output file
Format - select one of offered supported output video file's formats
Format options... - enabled only if you can set some parameters for select format. Displays the codec selection dialog for a given file format, if it has one. That way you can select the codec and other corresponding values (data rate, key frame rate, etc.) (e.g. AVI format could be set to DivX codec here, etc.).
Frame rate (fps) - lets you select another frame rate (fps - frames per second) than inserted clip(s) has. The frame rate of the output file, in frames per second. AVI defaults to 15 fps, movie standard is 24, TV standards are 25/50 (PAL) and 29.97/59.94 fps (NTSC). MPEG supports only these values: 22.98, 24, 25, 29.97, 30, 50, 59.94 and 60 fps, any other value will be rounded to the nearest supported. All these (standard) values are offered through Select button. For that reason use the predefined frame rate constants when the output is MPEG. If not specified the default frame rate is 30.
Keep original duration - tells how the input files will be converted if the output frame rate is different than input frame rate. When this is not checked the number of input and output frames will be equal, but the duration and speed will change as the output frame rate changes. When this is checked the duration and speed are equal, but the number of frames will change as the frame rate changes. Set it to checked when doing conversion between movie/TV standards (e.g. PAL to NTSC) otherwise you will see things speeded up or in slow motion.
Resolution - width and height of output video in pixels. Standard values are offered through Select button.

.topic 1504

Audio setting is not visible, when Video only is selected. Here you should set any output audio property.

Output file name - type any file name here, that you want to use as an output file
Format - select one of offered supported output audio file's formats
Format options... - enabled only if you can set some parameters for select format (e.g. set OGG quality here)
Standard audio formats... - select one of predefined options:
Automatic - program determine the best quality from all input files and sets it as a current output quality
CD quality - sets Sample rate to 44100 Hz, Channels to Stereo and Resolution to 16 bits
Radio quality - sets Sample rate to 22050 Hz, Channels to Stereo and Resolution to 16 bits
Telephone quality - sets Sample rate to 8000 Hz, Channels to Mono and Resolution to 8 bits
Manual setting - you will be able to set any (Sample rate, Channels and Resolution) output quality parameter manually

Other values are enabled only when Manual setting is selected in standard audio formats...

Sample rate (Hz) - sampling frequency of the audio data. Standard values are offered through Select button
Channels - output file could be either mono or stereo
Resolution - resolution is a number of bits per sample per channel. This is either 8 or 16

.topic 1506

In codec selection dialog - standard codec dialog - you can select the codec and other corresponding values (data rate, key frame rate, etc.) of output.

You may see capture of the screen, when AVI format was selected. Selecting any Compressor, showed in the compressor list will set selected compress codec to your output.

.topic 1507

Some additional options could be set in output setting.

Play the following sound file, after processing is over:
Because output creating process could take a few minutes (hours), you may set some audio (wav) file, that will play to alert you, when creating process ends.

Ask before overwriting file - is needed if you want to be alerted, when output file you want to create already exists.

.topic 1508

Output process window is used to watch all needed output informations and to start, pause and stop output process.

Possible buttons are:
Start process - starts output process - creating output file(s)
Pause / Continue process - if you need pause process for any reason, you may pause it and then continue in process anytime you want
Cancel process - stops and cancel output process creation. !!! You cannot continue in process after cancel it !!!

Other informations on output process window:
Graphic and audio progress - possitions of the current output process.
Current project time - time of the output file, that is actually processed
Total project time - total time of the output file - you may see it on project time line too
Process time - tells you, how long it take from start processing
Remaining time (estimate) - really estimate time to the end of processing
Output process log - log messages - you may control some output process states here

.topic 1600
Support page lets you visit Wiagra Video Effector supported pages without using external browser.

This could be important, if you need find some help, that is not presented in this help file yet.

e.g. Support page helps you in case you have older version of this help and you need quickly find some help information about Wiagra Video Effector that is not listed in this help file.

.topic 1700
See how to register to register page describtion.

.topic 1800
Project time line is a time line track bar. Use it to move through whole project (all inserted clips and transitions) from its begin to end.

Sections:
White are sections of non-selected, but presented clips or transitions
Green (lime) section represents actual selected clip range

In the middle of project time line is a project's name caption.